## ros-indigo-dbw-mkz-can 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dbw_mkz_can)

find_package(catkin REQUIRED COMPONENTS
  rospy
  roscpp
  nodelet
  std_msgs
  geometry_msgs
  sensor_msgs
  can_msgs
  dataspeed_can_msg_filters
  dbw_mkz_msgs
)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
  message(STATUS "Enabling coverage testing")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage")
endif()

if (NOT "${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif ("${CMAKE_CXX_STANDARD_COMPUTED_DEFAULT}" STREQUAL "98")
  message(STATUS "Changing CXX_STANDARD from C++98 to C++11")
  set(CMAKE_CXX_STANDARD 11)
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/nodelet.cpp
  src/DbwNode.cpp
)
add_dependencies(${PROJECT_NAME} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_executable(${PROJECT_NAME}_dbw_node
  src/node.cpp
)
add_dependencies(${PROJECT_NAME}_dbw_node ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_dbw_node
  ${PROJECT_NAME}
)
set_target_properties(${PROJECT_NAME}_dbw_node PROPERTIES OUTPUT_NAME dbw_node PREFIX "")

install(TARGETS ${PROJECT_NAME} ${PROJECT_NAME}_dbw_node
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(DIRECTORY scripts
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        USE_SOURCE_PERMISSIONS
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== debian/changelog ===
ros-indigo-dbw-mkz-can (1.1.1-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Refactored tcpNoDelay() for subscribers
  * Added missing tests for PlatformVersion.h
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-indigo-dbw-mkz-can (1.1.0-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Removed all BOO control options and manually implemented auto BOO control for legacy firmware (brake lights)
  * Added BTYPE (brake type) bit
  * Added CMD_DECEL brake command type (only for non-hybrid platforms)
  * Replaced dbw_mkz_twist_controller with dataspeed_ulc_can in dbw.launch
  * Added throttlePercentFromPedal lookup table function and corresponding test
  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Added DriverAssistReport message
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.17-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Updated list of platforms
  * Disengage on any fault for brake/throttle/steering (change AND to OR)
  * Added outside air temperature to Misc1Report
  * Latch firmware version on any change (previously only latched once)
  * Changed pedal_luts default from true to false (forward command type by default now)
  * Fixed handling of all the firmware/module requrements for brake command type CMD_TORQUE_RQ
  * Disregard overrides on unused subsystems using the TIMEOUT bit
  * Fixed typo in nodelets.xml of dbw_mkz_can
  * Finished unit tests of PlatformMap
  * Use sign of wheel speeds to set sign of vehicle speed, fixes issue #24
  * Set CXX_STANDARD to C++11 only when necessary
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Sat, 27 Oct 2018 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.16-0trusty) trusty; urgency=high

  * Force compiler to use C++11
  * Handle version message with a map/database of several platform/module combinations
  * Implemented firmware version requirements for forwarding pedal command type
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 29 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.15-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 21 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.14-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Enabled code coverage testing when built as debug
  * Increased the steering command range to +-INT16_MAX, the specific range limit is applied by the firmware
  * Skip warning about brake and throttle commands when the reserved bit is set
  * Match CAN messages 0x060 to 0x07F even though some are unused
  * Capitalized the COUNT field to match code style
  * Added parameter for local/embedded pedal LUTs
  * Added option to forward higher level pedal commands (percent/torque) to the embedded modules
  * Added unit tests for exported header files
  * Extracted sonar color to a separate function
  * Added missing include
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Mon, 20 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.13-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Added option to enable/disable warnings on received command messages
  * Added support for the RES+ and RES- buttons
  * Added explicit casts to float
  * Added firmware version of separate shifting module
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 06 Jun 2018 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.12-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Moved ModuleVersion class and look-up-tables to exported header files (for use by other packages)
  * Added power fault bit to report when modules lose power
  * Added missing warning about steering fault preventing enable
  * Added roslaunch argument to set use_sim_time or not
  * Added roslaunch tests
  * Only warn once for each unknown module version
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 30 Jan 2018 05:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.11-0trusty) trusty; urgency=high

  * Updated firmware versions
  * Added missing dependencies
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 19 Oct 2017 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.10-0trusty) trusty; urgency=high

  * Updated steering firmware version
  * Renamed feature name
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 03 Oct 2017 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.9-0trusty) trusty; urgency=high

  * Added warning to update old firmware
  * Added link to request a license
  * Added more detail to fault warnings
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 19 Sep 2017 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.8-0trusty) trusty; urgency=high

  * Migrated from dataspeed_can_msgs to can_msgs
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-indigo-dbw-mkz-can (1.0.7-0trusty) trusty; urgency=high

  * Removed steering report driver activity bit
  * Replaced connector fault with timeout, and warn on timeout
  * Keep track of module firmware versions
  * Added gear rejection enumeration to gear report
  * Added licensing and VIN
  * Added wheel positions report (replaces suspension report)
  * Added option to use buttons for enable/disable, or not
  * Added enable button combination for Mondeo without ACC (set_dec and cc_res)
  * Added steering wheel left D-Pad buttons


=== debian/control ===
Source: ros-indigo-dbw-mkz-can
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-can-msgs, ros-indigo-catkin, ros-indigo-dataspeed-can-msg-filters, ros-indigo-dbw-mkz-msgs, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-indigo-dbw-mkz-can
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-can-msgs, ros-indigo-dataspeed-can-usb, ros-indigo-dataspeed-ulc-can, ros-indigo-dbw-mkz-description, ros-indigo-dbw-mkz-msgs, ros-indigo-geometry-msgs, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Drive-by-wire interface to the Dataspeed Inc.
 Lincoln MKZ DBW kit

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dbw-mkz-can//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
